Index: debian/changelog
===================================================================
--- debian/changelog	(revision 66241)
+++ debian/changelog	(working copy)
@@ -2,6 +2,12 @@
 
   * Support cd_type "bluray". In particular, don't prompt at high priority
     for a mirror to be configured. Closes: #609334
+  * Remove hardcoded bail out if the CD filesystem is not iso9660.
+    That seems wrong both for usb-hdd media as used by debian-live,
+    as well as for non-linux OSs (freebsd calls it cd9660).
+  * Treat usb-hdd media the same as hd-media and isohybrid, leaving
+    them mounted. Closes: #608201
+    (Needs cdrom-detect 1.38)
 
  -- Joey Hess <joeyh@debian.org>  Sun, 09 Jan 2011 14:55:21 -0400
 
Index: generators/40cdrom
===================================================================
--- generators/40cdrom	(revision 66241)
+++ generators/40cdrom	(working copy)
@@ -41,19 +41,19 @@
 db_get cdrom-detect/hybrid || true
 if [ "$RET" = true ] || [ -d /hd-media ]; then
 	cd_mountable=""
+else
+	db-get cdrom-detect/usb-hdd || true
+	if [ "$RET" = true ]; then
+		cd_mountable=""
+	fi
 fi
 
-fs=iso9660
-if db_get cdrom-detect/cdrom_fs && [ "$RET" ]; then
-	fs="$RET"
-fi
-
-if [ "$fs" != iso9660 ]; then
-	exit 0
-fi
-
 remount_cd() {
 	if [ "$ROOT" ] && [ "$cd_mountable" ]; then
+		fs=iso9660
+		if db_get cdrom-detect/cdrom_fs && [ "$RET" ]; then
+			fs="$RET"
+		fi
 		db_get cdrom-detect/cdrom_device
 		$logoutput mount -t "$fs" -o ro,exec $RET /cdrom || true
 	fi
